0

I'm trying to upgrade "databases/mysql55-server" from 5.5.55 to 5.5.56

These are the errors I am receiving. I recently upgraded readline to version 7.

Any idea what I need to do to fix this mess?

$ sudo portmaster -r mysql55-server-5.5.55

===>>> Working on:
        mysql55-server-5.5.55

===>>> Gathering distinfo list for installed ports

===>>> mysql55-server-5.5.55 1/1

===>>> Currently installed version: mysql55-server-5.5.55
===>>> Port directory: /usr/ports/databases/mysql55-server

Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
===>>> Launching 'make checksum' for databases/mysql55-server in background
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
===>>> Gathering dependency list for databases/mysql55-server from ports
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
Shared object "libreadline.so.6" not found, required by "mysql"
===>>> Launching child to update mysql55-client-5.5.55 to mysql55-client-5.5.56

===>>> mysql55-server-5.5.55 1/1 >> mysql55-client-5.5.55 (1/1)

===>>> Currently installed version: mysql55-client-5.5.55
===>>> Port directory: /usr/ports/databases/mysql55-client

===>>> Launching 'make checksum' for databases/mysql55-client in background
===>>> Gathering dependency list for databases/mysql55-client from ports
===>>> Initial dependency check complete for databases/mysql55-client

===>>> Initial dependency check complete for databases/mysql55-server


===>>> Checking ports that depend on mysql55-server-5.5.55 


===>>> Checking done for ports that depend on mysql55-server-5.5.55 


===>>> Total ports: 1 >> (1)

===>>> The following actions will be taken if you choose to proceed:
        Upgrade mysql55-server-5.5.55 to mysql55-server-5.5.56
        Upgrade mysql55-client-5.5.55 to mysql55-client-5.5.56

===>>> Proceed? y/n [y]
2
  • 1
    Has /usr/ports/devel/readline been updated to version 7? – Richard Smith Jul 1 '17 at 20:24
  • Yes it has been updated to version 7. – Brian Smith Jul 2 '17 at 0:47
2
+50

Several possibilities. My first suggestion would be to just go with versions installed from packages; replacing your currently installed ones - this includes both readline and MySQL. But if you really need - or want - to go with the source ports:

First, download the ports tree - portsnap fetch extract, or, if you already have it, portsnap fetch update to update it to the current one.

Then go to the relevant directory (/usr/ports/databases/mysql55-server), rebuild it, and reinstall: make clean all deinstall reinstall. You might want to repeat the same with /usr/ports/databases/mysql55-client. This will link it against the libraries you have installed, including libreadline.

1
  • Thank you, I was able to upgrade MySQL without any issues. – Brian Smith Jul 5 '17 at 19:23

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.